summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDany Nativel2015-06-10 16:57:27 +0200
committerDany Nativel2015-06-10 16:57:27 +0200
commita1d860a78a896cee1b1c722060bc1cb795d970bb (patch)
tree9ccc8a65974413a6daacb40bdb37b898375fc38c
downloadaur-a1d860a78a896cee1b1c722060bc1cb795d970bb.tar.gz
Initial import to AUR4
-rw-r--r--.SRCINFO16
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD74
-rw-r--r--arch-install.patch19
4 files changed, 113 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..230c72507d1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = sshuttle-git
+ pkgdesc = Transparent proxy server that works as a poor man's VPN. Forwards all TCP packets over ssh (and even DNS requests when using --dns option). Doesn't require admin privileges on the server side.
+ pkgver = 20150104
+ pkgrel = 1
+ url = https://github.com/apenwarr/sshuttle
+ arch = any
+ license = GPL
+ makedepends = git
+ depends = python2
+ depends = iptables
+ conflicts = sshuttle
+ source = arch-install.patch
+ md5sums = 15ed72e2b68dd07ef97abfdcb828d188
+
+pkgname = sshuttle-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..93f5d9f2777
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+pkg/
+src/
+*.tar.gz
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8f58e03121c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,74 @@
+# Contributor: alphazo <alphazo@gmail.com>
+# This version fetches and install master branch from Git repo.
+pkgname=sshuttle-git
+pkgver=20150104
+pkgrel=1
+pkgdesc="Transparent proxy server that works as a poor man's VPN. Forwards all TCP packets over ssh (and even DNS requests when using --dns option). Doesn't require admin privileges on the server side."
+arch=('any')
+url="https://github.com/apenwarr/sshuttle"
+license=('GPL')
+groups=()
+depends=('python2' 'iptables')
+makedepends=('git')
+optdepends=()
+provides=()
+conflicts=('sshuttle')
+replaces=()
+backup=()
+options=()
+
+source=(arch-install.patch)
+md5sums=('15ed72e2b68dd07ef97abfdcb828d188')
+
+
+_gitroot="git://github.com/apenwarr/sshuttle.git"
+_gitname="sshuttle"
+
+package() {
+ cd "$srcdir"
+ msg "Connecting to GIT server...."
+
+ if [ -d $_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot $_gitname
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ rm -rf "$srcdir/$_gitname-build"
+ git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+ cd "$srcdir/$_gitname-build"
+
+ # Patch launcher with files location (/usr/share/sshuttle)
+ patch -p1 -i "${srcdir}/arch-install.patch"
+
+ #
+ # BUILD HERE
+ #
+ # Original build
+ #install -Dm755 $srcdir/$_gitname-build/sshuttle $pkgdir/usr/bin/sshuttle || return 1
+ #mkdir -p $pkgdir/usr/share/sshuttle
+ #cp -r $srcdir/$_gitname-build/* $pkgdir/usr/share/sshuttle || return 1
+ #
+
+ # Modification proposed by bladud
+ cd "$srcdir/$_gitname-build/Documentation"
+ sed -i 's/python/python2/' md2man.py
+ cd ..
+ make #Make the manpage
+ cd "$srcdir/$_gitname-build"
+ install -Dm755 $srcdir/$_gitname-build/sshuttle $pkgdir/usr/bin/sshuttle || return 1
+ mkdir -p $pkgdir/usr/share/sshuttle
+
+ cp $srcdir/$_gitname-build/LICENSE $pkgdir/usr/share/sshuttle || return 1
+ cp $srcdir/$_gitname-build/README.md $pkgdir/usr/share/sshuttle || return 1
+ cp $srcdir/$_gitname-build/Documentation/sshuttle.md $pkgdir/usr/share/sshuttle || return 1
+ cp $srcdir/$_gitname-build/*.py $pkgdir/usr/share/sshuttle || return 1
+ mkdir $pkgdir/usr/share/sshuttle/version
+ mkdir $pkgdir/usr/share/sshuttle/compat
+ cp -R $srcdir/$_gitname-build/version/*.py $pkgdir/usr/share/sshuttle/version || return 1
+ cp -R $srcdir/$_gitname-build/compat/*.py $pkgdir/usr/share/sshuttle/compat || return 1
+}
diff --git a/arch-install.patch b/arch-install.patch
new file mode 100644
index 00000000000..14f5482dc86
--- /dev/null
+++ b/arch-install.patch
@@ -0,0 +1,19 @@
+*** sshuttleORIGIN/sshuttle 2011-05-21 22:58:24.156725075 +0200
+--- sshuttle 2011-05-21 22:59:16.354698468 +0200
+***************
+*** 4,10 ****
+ [ -L "$EXE" ] || break
+ EXE=$(readlink "$EXE")
+ done
+! DIR=$(dirname "$EXE")
+ if python2 -V 2>/dev/null; then
+ exec python2 "$DIR/main.py" python2 "$@"
+ else
+--- 4,10 ----
+ [ -L "$EXE" ] || break
+ EXE=$(readlink "$EXE")
+ done
+! DIR=/usr/share/sshuttle
+ if python2 -V 2>/dev/null; then
+ exec python2 "$DIR/main.py" python2 "$@"
+ else